%define name	libcdaudio
%define version	0.99.12
%define release 1mdk
%define major	1
%define libname %mklibname cdaudio %major

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A library for controlling CD-ROM devices
License:	GPL
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-config.bz2
Patch0:		%{name}-0.99.10.config.patch.bz2
URL:		http://libcdaudio.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}
Provides:	%{name}%{major}
Obsoletes:	%{name}%{major}

%description
libcdaudio is a library for controlling CD-ROM devices

%package -n %libname
Group:		System/Libraries
Summary:	A library for controlling CD-ROM devices

%description -n %libname
libcdaudio is a library for controlling CD-ROM devices

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%release

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q
%patch
bzcat %{SOURCE1} > cdserver

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall
chmod 644 %{buildroot}%{_libdir}/libcdaudio.la

install -d -m 755 %{buildroot}/%{_sysconfdir}
install -m 644 cdserver %{buildroot}/%{_sysconfdir}

%multiarch_binaries %buildroot%_bindir/libcdaudio-config

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog
%{_sysconfdir}/cdserver
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%_bindir/libcdaudio-config
%multiarch %_bindir/*/libcdaudio-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/libcdaudio.pc

%changelog
* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 0.99.12-1mdk
- new URL
- New release 0.99.12

* Fri Jun 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.99.10-3mdk 
- use a central configuration file
- run libtoolize now
- source file is not versioned
- spec cleanup

* Mon Feb  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- multiarch

* Tue Apr  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add pkgconfig file
- use mklibname
- autoconf2.5 macro
- don't run libtoolize
- new version

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99.9-1mdk
- 0.99.9

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-2mdk
- rebuild

* Tue Mar 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-1mdk
- 0.99.6

* Tue Jan 22 2002 Frdric Crozat <fred@crozat.net> 0.99.4-7mdk
- Clean specfile
- Add missing files

* Thu Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-6mdk
- rebuild
- obsoletes libcdaudio

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-5mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- spec minor cleanup

* Tue Dec 19 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.99.4-4mdk
- add default configuration file 
- added devel package for headers and static libs

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-3mdk
- BM
- macros
- fix URL

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-2mdk
- fix group

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- mandrake build
- v0.99.4
